using FL.Nodes.Player;
using XGame.Framework.Data;
using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public static partial class NodeKeys
    {
        private static NodeKey _Player;
        public static NodeKey Player => _Player ??= new NodeKey("Player", (uint)NodeGroupDefine.GameMain, typeof(PlayerNode));
    }
    public class PlayerNode : Node
    {
        protected override void OnDispose()
        {
        }

        protected override void OnInited()
        {
        }

        protected override void AddComponent(INodeComponentGroup group)
        {
            group.Add(new UIComponent());
        }

        protected override void AddData(IDataGroup dataGroup)
        {
        }
    }
}